package com.bsmlab.dfx.dfxconsole.app.agent.service;

import com.bsmlab.dfx.dfxconsole.framework.dto.SearchParameterDto;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface DfxAgentMessageHistoryMapper {
    List<DfxAgentMessageDto> selectDfxAgentMessageList(SearchParameterDto searchParameterDto);
    int selectDfxAgentMessageListTotalCount();
    DfxAgentMessageDto selectDfxAgentMessageBySenderAgentIdAndMessageUuid(DfxAgentMessageDto dfxAgentMessageDto);
    void insertDfxAgentMessage(DfxAgentMessageDto dfxAgentMessageDto);
    List<DfxAgentMessageHistoryDto> selectDfxAgentMessageHistoryList();
    DfxAgentMessageHistoryDto selectDfxAgentMessageHistoryBySenderAgentIdAndMessageUuid(DfxAgentMessageHistoryDto dfxAgentMessageHistoryDto);
    void insertDfxAgentMessageHistory(DfxAgentMessageHistoryDto dfxAgentMessageHistoryDto);
    int updateDfxAgentMessageHistoryForProcessAck(DfxAgentMessageHistoryDto dfxAgentMessageHistoryDto);
    int mergeDfxAgentMessageByDfxAgentMessageHistory();
}
